Applications

Get Application Details

GET
/api/v2/applications/{application}

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

application*integer

Application ID

Header Parameters

accept-language?string

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/v2/applications/1" \  -H "accept-language: ja"
{  "id": 0,  "client": {    "analytics": [      {        "property": "umt",        "value": "1111"      }    ],    "clientId": 0,    "accounts": [      {        "accountId": 1,        "accountNumber": "123123",        "displayNumber": "123123",        "createTime": "2022-01-01T00:00:00+00:00"      }    ],    "birthday": "2022-01-01T00:00:00+00:00",    "city": "string",    "country": {      "countryId": 8,      "alpha2Code": "US",      "alpha3Code": "USA",      "countryName": "United States",      "numericCode": "840"    },    "company": {      "fullName": "full name company",      "shortName": "short name company"    },    "email": "foo@bar.com",    "internalType": "default",    "firstName": "Mary",    "lastName": "Smith",    "middleName": "Jane",    "name": "Mary Jane Smith",    "nickname": "Voronov",    "locale": "ja_JP",    "manager": {      "id": 0,      "enabled": true,      "email": "foo@bar.com",      "name": "John Smith",      "title": "mr.",      "phone": "+995577755422",      "resources": [        {          "key": "caption",          "locale": "ru_RU",          "value": "Lorem"        }      ],      "createTime": "2022-01-01T00:00:00+00:00"    },    "phone": "+7 999 200 00 00",    "riskLevel": "low",    "status": "active",    "tags": [      "string"    ],    "type": {      "id": 0,      "name": "Individual"    },    "verificationLevel": {      "id": 0,      "name": "Level 1"    },    "jurisdictionId": 1,    "loggedAt": "2022-01-01T00:00:00+00:00",    "createTime": "2022-01-01T00:00:00+00:00",    "updateTime": "2022-01-01T00:00:00+00:00",    "limits": {      "maxDemoTradingAccounts": 1,      "maxLiveTradingAccounts": 1    },    "rights": [      {        "name": "deposit",        "isEnabled": true      }    ]  },  "ip": "127.0 0.1",  "type": "Verification",  "status": {    "key": "REJECTED",    "name": "Rejected"  },  "resolution": {    "id": 0,    "enabled": true,    "name": "Document rejected",    "type": {      "id": 0,      "enabled": true,      "name": "Resolution Type"    }  },  "personalAccounts": [    {      "accountId": 6,      "accountNumber": "3",      "displayNumber": "3"    }  ],  "tradeAccounts": [    {      "accountId": 6,      "accountNumber": "3",      "displayNumber": "3"    }  ],  "accountId": 1,  "amount": "1.000000000000000000",  "method": "localizedCaption",  "transactionId": 1,  "currency": "USD",  "dealingApproved": "approved",  "complianceApproved": "approved",  "liquidityAccount": "4423423",  "createdAt": "2022-01-01T00:00:00+00:00",  "processedAt": "2022-01-01T00:00:00+00:00",  "interact": {}}
{  "error": {    "message": "Unauthorized"  }}
{  "error": {    "message": "Forbidden"  }}
{  "error": {    "message": "Not Found"  }}
{  "error": {    "message": "Too Many Requests"  }}
{  "error": {    "message": "Service Unavailable"  }}